from setuptools import find_packages
from setuptools import setup

try:
    with open('README.rst', 'r') as file:
        long_description = file.read()

except (OSError, IOError) as e:
    with open('README.md', 'r') as file:
        long_description = file.read()

setup(
    name='dallinger.experiments.bartlett1932',
    version='1.0.0',

    description='A transmission chain with stories.',

    author='Jordan',
    author_email='suchow@berkeley.edu',

    url='http://dallinger.readthedocs.org',

    classifiers=[
        'Development Status :: 4 - Beta',
         'License :: OSI Approved :: MIT License',
         'Programming Language :: Python',
         'Programming Language :: Python :: 2',
         'Programming Language :: Python :: 2.7',
         'Intended Audience :: Developers',
         'Environment :: Console',
    ],

    platforms=['Any'],

    scripts=[],

    provides=['dallinger.experiments.bartlett1932'],

    packages=find_packages(),
    include_package_data=True,

    entry_points={
        'dallinger.experiments': [
            'bartlett1932=demos.bartlett1932.experiment:Bartlett1932',
        ],
    },

    zip_safe=False,
)
