import csv
from os.path import dirname, abspath, join, exists
from os import makedirs
import zipfile
import json
import base64

experiment_id = "we748190e-5a5d-43db-a453-e75a"

data_path = join(
    dirname(dirname(abspath(__file__))),
    "data",
    experiment_id + "-data")

with zipfile.ZipFile(data_path + ".zip", "r") as zip:
    zip.extractall(data_path)

info_path = join(
    data_path,
    "data",
    "info.csv")

dir = "results"
if not exists(dir):
    makedirs(dir)

with open(info_path, "rb") as csvfile:
    reader = csv.reader(csvfile, delimiter=",", quotechar='"')
    next(reader, None)
    k = 0
    for row in reader:
        j = json.loads(row[12])
        for i in j:

            if not exists(str(k)):
                makedirs(str(k))

            with open(join(str(k), i["name"]), "wb") as fh:
                print(i["image"][22:])
                fh.write(base64.decodestring(i["image"][22:]))

        k = k + 1
